PIP-FREEZE(1)

NAME
pip-freeze - description of pip freeze command

DESCRIPTION

Output installed packages in requirements format.

packages are listed in a case-insensitive sorted order.

USAGE

    python -m pip freeze [options]

OPTIONS

-r, --requirement <file>
    Use the order in the given requirements file and its comments when generating output. This option can be used multiple times.

    (environment variable: PIP_REQUIREMENT)

-l, --local
    If in a virtualenv that has global access, do not output globally-installed packages.

    (environment variable: PIP_LOCAL)

--user
    Only output packages installed in user-site.

    (environment variable: PIP_USER)

--path <path>
    Restrict to the specified installation path for listing packages (can be used multiple times).

    (environment variable: PIP_PATH)

--all
    Do not skip these packages in the output: pip

    (environment variable: PIP_ALL)

--exclude-editable
    Exclude editable package from output.

    (environment variable: PIP_EXCLUDE_EDITABLE)

--exclude <package>
    Exclude specified package from the output

    (environment variable: PIP_EXCLUDE)

Author
pip developers

Copyright
The pip developers